Bug 968279 - Java6 markers cannot work
Java6 markers cannot work
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
All All
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 07:16 EDT by zhaozhanqi
Modified: 2015-05-14 19:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:13:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaozhanqi 2013-05-29 07:16:30 EDT
Description of problem:

create scalable jbossas-7 app. Add java6 and delete java7 to the directory .openshift/markers, git push and ssh into app to check java version, it is still jdk-1.7.

Version-Release number of selected component (if applicable):
INT(devenv_3281)

How reproducible:
always

Steps to Reproduce:
1. create scalable jbossas-7 app1
2. touch java6 file in the app's directory 'app1/.openshift/markers'
3.  delete java7 and then git push
4. ssh into app to check the JAVA_HOME env
    env |grep -i java_home

Actual results:

[app1-zqd.int.rhcloud.com 51a5b8c603ef64128c000127]\> env |grep -i java_home
JAVA_HOME=/etc/alternatives/java_sdk_1.7.0
Expected results:

JAVA_HOME version should be java_sdk_1.6.0

Additional info:

[zqjbossas2-zqd.dev.rhcloud.com 51a5e18128ce9f33da000001]\> find .| grep markers
./jbossas/versions/7/template/.openshift/markers
./jbossas/versions/7/template/.openshift/markers/java7
./jbossas/template/.openshift/markers
./jbossas/template/.openshift/markers/java7
./app-root/runtime/repo/.openshift/markers
./app-root/runtime/repo/.openshift/markers/java6
Comment 1 Dan Mace 2013-05-29 09:32:43 EDT
https://github.com/openshift/origin-server/pull/2671

Note: there is no 'java6' marker; to enable Java 7, use the 'java7' marker. To enable Java 6, delete the 'java7' marker.
Comment 2 Xiaoli Tian 2013-05-29 10:42:52 EDT
(In reply to Dan Mace from comment #1)
> https://github.com/openshift/origin-server/pull/2671
> 
> Note: there is no 'java6' marker; to enable Java 7, use the 'java7' marker.
> To enable Java 6, delete the 'java7' marker.

Is the workflow changed? for  in current STG or PROD , java 7 is the default version.
Comment 3 Dan Mace 2013-05-29 10:49:01 EDT
By default, the 'java7' marker is present in new application repositories, so Java 7 is still the default.
Comment 4 openshift-github-bot 2013-05-29 13:00:58 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/c3e63de3c7f84cd62df99634dc58371cfd19fd6c
Bug 968279: Fix jboss[as|eap] java7 marker detection
Comment 6 zhaozhanqi 2013-05-30 04:35:56 EDT
Test this issue on devenv_3290, it has been fixed

steps:

1) create one scalable app(jbossas-7/eap/ews1.0/ews2.0)
2) delete the java7 file in the directory (app/.openshift/markers)
3) git push
4) ssh into app and check the JAVA_HOME env

for example:

jbossas-7:

[zqjbossas2-zqddd.dev.rhcloud.com 33b54ff8c8fe11e29f0c22000aa50868]\> env |grep -i java_home
JAVA_HOME=/etc/alternatives/java_sdk_1.6.0

Note You need to log in before you can comment on or make changes to this bug.